## net.i2p.router.web
Class ConfigStatsHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigStatsHandler

    public class ConfigStatsHandler

extends FormHandler

Handler to deal with form submissions from the stats config form and act upon the values.

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigStatsHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setExplicitFilter(String foo)`
`void` `setExplicitFilterValue(String filter)`
`void` `setFilename(String filename)`
`void` `setGraphList(String[] stats)`
`void` `setIsFull(String foo)`
`void` `setStatList(String[] stats)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigStatsHandler

    public ConfigStatsHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setFilename

    public void setFilename(String filename)

### setStatList

    public void setStatList(String[] stats)

### setGraphList

    public void setGraphList(String[] stats)

### setExplicitFilter

    public void setExplicitFilter(String foo)

### setExplicitFilterValue

    public void setExplicitFilterValue(String filter)

### setIsFull

    public void setIsFull(String foo)